# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1323.1.5 -> 1.1323.1.6
#	arch/i386/kernel/mpparse.c	1.53    -> 1.54   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/18	len.brown@intel.com	1.1341
# Merge intel.com:/home/lenb/src/linux-acpi-test-2.6.0
# into intel.com:/home/lenb/bk/linux-acpi-test-2.6.0
# --------------------------------------------
# 03/09/19	len.brown@intel.com	1.1342
# Merge intel.com:/home/lenb/bk/linux-2.6.0
# into intel.com:/home/lenb/bk/linux-acpi-test-2.6.0
# --------------------------------------------
# 03/09/19	len.brown@intel.com	1.1323.1.6
# [ACPI] fix IO-APIC mode SCI storm due to sharing with PCI device (David Shaohua Li)
# http://bugzilla.kernel.org/show_bug.cgi?id=1165
# --------------------------------------------
#
diff -Nru a/arch/i386/kernel/mpparse.c b/arch/i386/kernel/mpparse.c
--- a/arch/i386/kernel/mpparse.c	Tue Sep 23 12:34:10 2003
+++ b/arch/i386/kernel/mpparse.c	Tue Sep 23 12:34:10 2003
@@ -1112,8 +1112,10 @@
 		}
 
 		/* Don't set up the ACPI SCI because it's already set up */
-		if (acpi_fadt.sci_int == irq)
+                if (acpi_fadt.sci_int == irq) {
+                        entry->irq = irq; /*we still need to set entry's irq*/
 			continue;
+                }
 	
 		ioapic = mp_find_ioapic(irq);
 		if (ioapic < 0)
